/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model.operations;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import org.ow2.orchestra.designer.bpmn.model.process.PoolModel;

public class InterfaceModel implements Serializable {

  private static final long serialVersionUID = -4390326536657154537L;
  private String id;
  private String name;
  private PoolModel poolModel;
  private final Map<String, OperationModel> operations = new HashMap<String, OperationModel>();
  private String portTypeQName;

  public PoolModel getPoolModel() {
    return poolModel;
  }

  public void setPoolModel(PoolModel poolModel) {
    this.poolModel = poolModel;
  }

  public void setName(final String name) {
    this.name = name;
  }

  public String getName() {
    return this.name;
  }


  public String getId() {
    return this.id;
  }

  public void setId(final String id) {
    this.id = id;
  }

  public Map<String, OperationModel> getOperations() {
    return this.operations;
  }

  public String getPortTypeQName() {
    return portTypeQName;
  }

  public void setPortTypeQName(String portTypeQName) {
    this.portTypeQName = portTypeQName;
  }
}
