/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model.operations;

import org.ow2.orchestra.designer.bpmn.model.data.type.WSDLMessageModel;
import org.ow2.orchestra.designer.bpmn.model.process.AbstractBPMNElementWithPosition;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class OperationModel implements Serializable {

  private static final long serialVersionUID = 7289360630080572981L;
  private String id;
    private String name;
    private InterfaceModel interfaceModel;
    private final List<AbstractBPMNElementWithPosition> receiveElements = new ArrayList<AbstractBPMNElementWithPosition>();
    private final List<AbstractBPMNElementWithPosition> sendElements = new ArrayList<AbstractBPMNElementWithPosition>();
    private WSDLMessageModel inMessageType;
    private WSDLMessageModel outMessageType;

    public String getId() {
        return this.id;
    }

    public void setId(final String id) {
        this.id = id;
    }

    public String getName() {
        return this.name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public InterfaceModel getInterfaceModel() {
        return this.interfaceModel;
    }

    public void setInterfaceModel(final InterfaceModel interfaceModel) {
        this.interfaceModel = interfaceModel;
    }

    public List<AbstractBPMNElementWithPosition> getReceiveElements() {
        return this.receiveElements;
    }

    public List<AbstractBPMNElementWithPosition> getSendElements() {
        return this.sendElements;
    }

    public WSDLMessageModel getInMessageType() {
        return inMessageType;
    }

    public void setInMessageType(WSDLMessageModel inMessageType) {
        this.inMessageType = inMessageType;
    }

    public WSDLMessageModel getOutMessageType() {
        return outMessageType;
    }

    public void setOutMessageType(WSDLMessageModel outMessageType) {
        this.outMessageType = outMessageType;
    }
}
