/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model.process;

import org.ow2.orchestra.designer.bpmn.model.AbstractElementWithPosition;
import org.ow2.orchestra.designer.bpmn.model.IIdentifiableElement;

/**
 * @author Loic Albertin
 */
public abstract class AbstractBPMNElementWithPosition extends AbstractElementWithPosition implements IIdentifiableElement {

  /**
   *
   */
  private static final long serialVersionUID = 4786806888401165170L;

  private ProcessModel processModel;

  private String id;

  /**
   * @return the unique id for this element
   */
  public final String getId() {
    return this.id;
  }

  /**
   * @param id the id to set.
   */
  public final void setId(final String id) {
    this.id = id;
  }

  public void setProcessModel(final ProcessModel processModel) {
    this.processModel = processModel;
  }

  public ProcessModel getProcessModel() {
    return this.processModel;
  }

}
