/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.designer.bpmn.model.process;

/**
 * @author Loic Albertin
 */
public final class GatewayModel extends AbstractBPMNElementWithPosition {

  /**
   *
   */
  private static final long serialVersionUID = -8523185964189696683L;

  /**
   * The gateway type with default choice
   */
  private GatewayType gatewayType = GatewayType.PARALLEL;

  /**
   * @return Returns the gateway type
   */
  public GatewayType getGatewayType() {
    return gatewayType;
  }

  /**
   * Sets the gateway type
   *
   * @param gatewayType The gateway type value to set
   */
  public void setGatewayType(GatewayType gatewayType) {
    this.gatewayType = gatewayType;
  }
}
