/*
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2011 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.orchestra.designer.bpmn.model.process;

import org.ow2.orchestra.designer.bpmn.model.operations.OperationModel;

/**
 * @author Guillaume Porcher
 */
public final class TaskModel extends AbstractBPMNElementWithData {

  /**
   *
   */
  private static final long serialVersionUID = 4786806888401165169L;

  private TaskType taskType;

  private OperationModel operation;

  private String potentialOwnerExpression;

  public TaskType getTaskType() {
    return taskType;
  }

  public void setTaskType(TaskType taskType) {
    this.taskType = taskType;
  }

  public OperationModel getOperation() {
    return operation;
  }

  public void setOperation(OperationModel operation) {
    this.operation = operation;
  }

  public String getPotentialOwnerExpression() {
    return potentialOwnerExpression;
  }

  public void setPotentialOwnerExpression(String potentialOwnerExpression) {
    this.potentialOwnerExpression = potentialOwnerExpression;
  }

}
