/*
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2011 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */

package org.ow2.orchestra.designer.models.transformers.designer2bpmn;

import javax.xml.namespace.QName;
import org.ow2.orchestra.designer.bpmn.model.process.AbstractBPMNElementWithPosition;
import org.ow2.orchestra.designer.models.exceptions.TransformationException;
import org.ow2.orchestra.jaxb.bpmn.bpmndi.BPMNShape;
import org.ow2.orchestra.jaxb.bpmn.dc.Bounds;

/**
 * @author Loic Albertin
 */
public final class ShapeTransformer {
  public static void modelToBpmn(final AbstractBPMNElementWithPosition model, final Designer2BpmnContext context) throws
          TransformationException {
    modelToBpmn(model, model.getId(), context);
  }

  public static void modelToBpmn(final AbstractBPMNElementWithPosition model, String modelElementId, final Designer2BpmnContext context) throws
          TransformationException {
    final BPMNShape shape = new BPMNShape();
    shape.setId("shape" + modelElementId);
    shape.setBpmnElement(new QName(context.getDefinitions().getTargetNamespace(), modelElementId));
    final Bounds bounds = new Bounds();
    bounds.setX(model.getX());
    bounds.setY(model.getY());
    shape.setBounds(bounds);
    context.getBpmnPlane().getDiagramElements().add(context.getBpmndiObjectFactory().createBPMNShape(shape));
  }

}
